Skip to main content
GET
/
cdn
/
resources
/
{resource_id}
/
preset
Get CDN resource applied preset fields
curl --request GET \
  --url https://api.gcore.com/cdn/resources/{resource_id}/preset \
  --header 'Authorization: <api-key>'
{
  "id": 42,
  "name": "Static content acceleration",
  "deletable": true,
  "fields": [
    "options.gzipOn",
    "options.browser_cache_settings"
  ]
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

resource_id
integer
required

CDN resource ID.

Response

Successful.

Preset applied to the object and the list of object fields that are managed by the preset.

id
integer

ID of the applied preset.

Example:

42

name
string

Name of the applied preset.

Example:

"Static content acceleration"

deletable
boolean

Defines whether the applied preset can be unapplied from the object by the current user.

Example:

true

fields
string[]

Object fields managed by the preset. Option fields are prefixed with options..

Example:
[
"options.gzipOn",
"options.browser_cache_settings"
]